Subject: Mia Fleegel - Update

From: Linda Gudgel Finnell <[email-masked]>
Date: Sun, 4 Mar 2018 21:50:19 -0500

Hi Folks-
I got a message today from Mia's daughter, Laurie Cooper.  Mia passed
away this morning about 12:38 am.  I don't know any of the details at
this time but will let the group know when I know something.  She was
diagnosed I believe sometime in early December and Laurie said this
was similar to Dementia/Alzhimers (sp?.)  but moved much faster.
Apparently it did.  Prayers going out from here for her family during
this difficult time.    R.I.P. Mia.  We will miss you.

Linda
from Kentucky